gtkmm: Gtk::Clipboard Class Reference

gtkmm 3.24.0

Public Types | Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gtk::Clipboard Class Reference

The Clipboard object represents a clipboard of data shared between different processes or between different widgets in the same process. More...

`#include <gtkmm/clipboard.h>`

Inheritance diagram for Gtk::Clipboard:
[legend]

## Public Types
typedef sigc::slot< void, SelectionData&, guint > | SlotGet
| For instance: void on_get(Gtk::SelectionData& selection_data, guint info);. More...
typedef sigc::slot< void > | SlotClear
| For instance: void on_clear();. More...
typedef sigc::slot< void, const SelectionData& > | SlotReceived
| For instance: void on_received(const SelectionData& selection_data);. More...
typedef sigc::slot< void, const Glib::ustring& > | SlotTextReceived
| For instance: void on_text_received(const Glib::ustring& text);. More...
typedef sigc::slot< void, const Glib::ustring&, const std::string& > | SlotRichTextReceived
| For instance: void on_rich_text_received(const Glib::ustring& format, const std::string& text);. More...
typedef sigc::slot< void, const std::vector< Glib::ustring >& > | SlotUrisReceived
| For instance: void on_uris_received(const std::vector<Glib::ustring>& uris);. More...
typedef sigc::slot< void, const Glib::RefPtr< Gdk::Pixbuf >& > | SlotImageReceived
| For instance: void on_image_received(const Glib::RefPtr<Gdk::Pixbuf>& text);. More...
typedef sigc::slot< void, const std::vector< Glib::ustring >& > | SlotTargetsReceived
| For instance: void on_targets_received(const std::vector<Glib::ustring>& targets);. More...
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Public Member Functions
| Clipboard (Clipboard&& src) noexcept
Clipboard& | operator= (Clipboard&& src) noexcept
| ~Clipboard () noexcept override
GtkClipboard* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkClipboard* | gobj () const
| Provides access to the underlying C GObject. More...
GtkClipboard* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Gdk::Display > | get_display ()
Glib::RefPtr< const Gdk::Display > | get_display () const
bool | set (const std::vector< TargetEntry >& targets, const SlotGet& slot_get, const SlotClear& slot_clear)
| Virtually sets the contents of the specified clipboard by providing a list of supported formats for the clipboard data and a function to call to get the actual data when it is requested. More...
Glib::RefPtr< Glib::Object > | get_owner ()
Glib::RefPtr< const Glib::Object > | get_owner () const
void | clear ()
| Clears the contents of the clipboard. More...
void | set_text (const Glib::ustring& text)
| Sets the contents of the clipboard to the given UTF-8 string. More...
void | set_image (const Glib::RefPtr< Gdk::Pixbuf >& pixbuf)
| Sets the contents of the clipboard to the given Gdk::Pixbuf. More...
void | request_contents (const Glib::ustring& target, const SlotReceived& slot)
| Requests the contents of clipboard as the given target. More...
void | request_text (const SlotTextReceived& slot)
| Requests the contents of the clipboard as text. More...
void | request_rich_text (const Glib::RefPtr< TextBuffer >& buffer, const SlotRichTextReceived& slot)
| Requests the contents of the clipboard as rich text. More...
void | request_uris (const SlotUrisReceived& slot)
| Requests the contents of the clipboard as URIs. More...
void | request_image (const SlotImageReceived& slot)
| Requests the contents of the clipboard as image. More...
void | request_targets (const SlotTargetsReceived& slot)
| Requests the contents of the clipboard as list of supported targets. More...
SelectionData | wait_for_contents (const Glib::ustring& target) const
| Requests the contents of the clipboard using the given target. More...
Glib::ustring | wait_for_text () const
std::string | wait_for_rich_text (const Glib::RefPtr< TextBuffer >& buffer, std::string& format)
Glib::RefPtr< Gdk::Pixbuf > | wait_for_image () const
bool | wait_is_text_available () const
| Test to see if there is text available to be pasted This is done by requesting the TARGETS atom and checking if it contains any of the supported text targets. More...
bool | wait_is_rich_text_available (const Glib::RefPtr< TextBuffer >& buffer) const
| Test to see if there is rich text available to be pasted This is done by requesting the TARGETS atom and checking if it contains any of the supported rich text targets. More...
bool | wait_is_image_available () const
| Test to see if there is an image available to be pasted This is done by requesting the TARGETS atom and checking if it contains any of the supported image targets. More...
bool | wait_is_uris_available () const
| Test to see if there is a list of URIs available to be pasted This is done by requesting the TARGETS atom and checking if it contains the URI targets. More...
bool | wait_is_target_available (const Glib::ustring& target)
| Checks if a clipboard supports pasting data of a given type. More...
std::vector< Glib::ustring > | wait_for_targets () const
| Returns a list of targets that are present on the clipboard. More...
std::vector< Glib::ustring > | wait_for_uris () const
| Requests the contents of the clipboard as URIs. More...
void | set_can_store (const std::vector< TargetEntry >& targets)
| Hints that the clipboard data should be stored somewhere when the application exits or when store() is called. More...
void | set_can_store ()
| Hints that all forms of clipboard data should be stored somewhere when the application exits or when store() is called. More...
void | store ()
| Stores the current clipboard data somewhere so that it will stay around after the application has quit. More...
GdkAtom | get_selection () const
Glib::SignalProxy< void, GdkEventOwnerChange*> | signal_owner_change ()
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Clipboard > | get (GdkAtom selection=GDK_SELECTION_CLIPBOARD)
static Glib::RefPtr< Clipboard > | get_for_display (const Glib::RefPtr< Gdk::Display >& display, GdkAtom selection=GDK_SELECTION_CLIPBOARD)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::Clipboard > | wrap (GtkClipboard* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Detailed Description

The Clipboard object represents a clipboard of data shared between different processes or between different widgets in the same process.

Each clipboard is identified by a name encoded as a GdkAtom. * (Conversion to and from strings can be done with gdk_atom_intern() and gdk_atom_name().) The default clipboard corresponds to the "CLIPBOARD" atom; another commonly used clipboard is the "PRIMARY" clipboard, which, in X, traditionally contains the currently selected text.

To support having a number of different formats on the clipboard at the same time, the clipboard mechanism allows providing callbacks instead of the actual data. When you set the contents of the clipboard, you can either supply the data directly (via functions like set_text()), or you can supply a callback to be called at a later time when the data is needed (via set().) Providing a callback also avoids having to make copies of the data when it is not needed.

Requesting the data from the clipboard is essentially asynchronous. If the contents of the clipboard are provided within the same process, then a direct function call will be made to retrieve the data, but if they are provided by another process, then the data needs to be retrieved from the other process, which may take some time. To avoid blocking the user interface, the call to request the selection, request_contents() takes a callback that will be called when the contents are received (or when the request fails.) If you don't want to deal with providing a separate callback, you can also use wait_for_contents(). This runs the GLib main loop recursively waiting for the contents. This can simplify the code flow, but you still have to be aware that other callbacks in your program can be called while this recursive mainloop is running.

Along with the functions to get the clipboard contents as an arbitrary data chunk, there are also functions to retrieve it as text, request_text() and wait_for_text(). These functions take care of determining which formats are advertised by the clipboard provider, asking for the clipboard in the best available format and converting the results into the UTF-8 encoding.

## Member Typedef Documentation

## ◆ SlotClear

typedef sigc::slot<void> Gtk::Clipboard::SlotClear

For instance: void on_clear();.

## ◆ SlotGet

typedef sigc::slot<void, SelectionData&, guint> Gtk::Clipboard::SlotGet

For instance: void on_get(Gtk::SelectionData& selection_data, guint info);.

## ◆ SlotImageReceived

typedef sigc::slot<void, const Glib::RefPtr<Gdk::Pixbuf>&> Gtk::Clipboard::SlotImageReceived

For instance: void on_image_received(const Glib::RefPtr<Gdk::Pixbuf>& text);.

## ◆ SlotReceived

typedef sigc::slot<void, const SelectionData&> Gtk::Clipboard::SlotReceived

For instance: void on_received(const SelectionData& selection_data);.

## ◆ SlotRichTextReceived

typedef sigc::slot<void, const Glib::ustring&, const std::string&> Gtk::Clipboard::SlotRichTextReceived

For instance: void on_rich_text_received(const Glib::ustring& format, const std::string& text);.

## ◆ SlotTargetsReceived

typedef sigc::slot<void, const std::vector<Glib::ustring>&> Gtk::Clipboard::SlotTargetsReceived

For instance: void on_targets_received(const std::vector<Glib::ustring>& targets);.

## ◆ SlotTextReceived

typedef sigc::slot<void, const Glib::ustring&> Gtk::Clipboard::SlotTextReceived

For instance: void on_text_received(const Glib::ustring& text);.

## ◆ SlotUrisReceived

typedef sigc::slot<void, const std::vector<Glib::ustring>&> Gtk::Clipboard::SlotUrisReceived

For instance: void on_uris_received(const std::vector<Glib::ustring>& uris);.

## Constructor & Destructor Documentation

## ◆ Clipboard()

Gtk::Clipboard::Clipboard | ( | Clipboard&& | src | ) |
| noexcept

## ◆ ~Clipboard()

Gtk::Clipboard::~Clipboard | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ clear()

void Gtk::Clipboard::clear | ( |  | ) |

Clears the contents of the clipboard.

Generally this should only be called between the time you call set() and when the slot_clear you supplied is called. Otherwise, the clipboard may be owned by someone else.

## ◆ get()

static Glib::RefPtr<Clipboard> Gtk::Clipboard::get | ( | GdkAtom | selection = `GDK_SELECTION_CLIPBOARD` | ) |
| static

## ◆ get_display() [1/2]

Glib::RefPtr<Gdk::Display> Gtk::Clipboard::get_display | ( |  | ) |

## ◆ get_display() [2/2]

Glib::RefPtr<const Gdk::Display> Gtk::Clipboard::get_display | ( |  | ) | const

## ◆ get_for_display()

static Glib::RefPtr<Clipboard> Gtk::Clipboard::get_for_display | ( | const Glib::RefPtr< Gdk::Display >& | display,
|  | GdkAtom | selection = `GDK_SELECTION_CLIPBOARD`
| ) |  |
| static

## ◆ get_owner() [1/2]

Glib::RefPtr<Glib::Object> Gtk::Clipboard::get_owner | ( |  | ) |

## ◆ get_owner() [2/2]

Glib::RefPtr<const Glib::Object> Gtk::Clipboard::get_owner | ( |  | ) | const

## ◆ get_selection()

GdkAtom Gtk::Clipboard::get_selection | ( |  | ) | const

Since gtkmm 3.22:

## ◆ get_type()

static GType Gtk::Clipboard::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkClipboard* Gtk::Clipboard::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkClipboard* Gtk::Clipboard::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkClipboard* Gtk::Clipboard::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

Clipboard& Gtk::Clipboard::operator= | ( | Clipboard&& | src | ) |
| noexcept

## ◆ request_contents()

void Gtk::Clipboard::request_contents | ( | const Glib::ustring & | target,
|  | const SlotReceived& | slot
| ) |  |

Requests the contents of clipboard as the given target.

When the results of the result are later received the supplied callback will be called.

Parameters

  target | The form into which the clipboard owner should convert the selection.
  slot | A function to call when the results are received (or the retrieval fails). If the retrieval fails the length field of selection_data will be negative.

## ◆ request_image()

void Gtk::Clipboard::request_image | ( | const SlotImageReceived& | slot | ) |

Requests the contents of the clipboard as image.

When the image is later received, it will be converted to a Gdk::Pixbuf. This function waits for the data to be received using the main loop, so events, timeouts, etc, may be dispatched during the wait.

The pixbuf parameter to slot will contain the resulting pixbuf if the request succeeded, or will be empty if it failed. This could happen for various reasons, in particular if the clipboard was empty or if the contents of the clipboard could not be converted into image form.

Parameters

  slot | a function to call when the text is received, or the retrieval fails. (It will always be called one way or the other.)

## ◆ request_rich_text()

void Gtk::Clipboard::request_rich_text | ( | const Glib::RefPtr< TextBuffer >& | buffer,
|  | const SlotRichTextReceived& | slot
| ) |  |

Requests the contents of the clipboard as rich text.

When the rich text is later received, slot will be called.

The text parameter to the slot will contain the resulting rich text if the request succeeded, or an empty string if it failed. This function can fail for various reasons, in particular if the clipboard was empty or if the contents of the clipboard could not be converted into rich text form.

Parameters

  buffer | A Gtk::TextBuffer.
  slot | A function to call when the text is received, or the retrieval fails. (It will always be called one way or the other.)

## ◆ request_targets()

void Gtk::Clipboard::request_targets | ( | const SlotTargetsReceived& | slot | ) |

Requests the contents of the clipboard as list of supported targets.

When the list is later received, callback will be called.

The targets parameter to slot will contain the resulting targets if the request succeeded.

Parameters

  slot | a function to call when the targets are received, or the retrieval fails. (It will always be called one way or the other.)

Since gtkmm 2.4:

## ◆ request_text()

void Gtk::Clipboard::request_text | ( | const SlotTextReceived& | slot | ) |

Requests the contents of the clipboard as text.

When the text is later received, it will be converted to UTF-8 if necessary, and slot will be called.

The text parameter to slot will contain the resulting text if the request succeeded, or will be empty if it failed. This could happen for various reasons, in particular if the clipboard was empty or if the contents of the clipboard could not be converted into text form.

Parameters

  slot | a function to call when the text is received, or the retrieval fails. (It will always be called one way or the other.)

## ◆ request_uris()

void Gtk::Clipboard::request_uris | ( | const SlotUrisReceived& | slot | ) |

Requests the contents of the clipboard as URIs.

When the URIs are later received slot will be called.

The uris parameter to slot will contain the resulting array of URIs if the request succeeded, or an empty list if it failed. This could happen for various reasons, in particular if the clipboard was empty or if the contents of the clipboard could not be converted into URI form.

Parameters

  slot | A slot to call when the URIs are received, or the retrieval fails. (It will always be called one way or the other.)

Since gtkmm 2.14:

## ◆ set()

bool Gtk::Clipboard::set | ( | const std::vector< TargetEntry >& | targets,
|  | const SlotGet& | slot_get,
|  | const SlotClear& | slot_clear
| ) |  |

Virtually sets the contents of the specified clipboard by providing a list of supported formats for the clipboard data and a function to call to get the actual data when it is requested.

Parameters

  targets | Information about the available forms for the clipboard data.
  slot_get | method to call to get the actual clipboard data.
  slot_clear | When the clipboard contents are set again, this method will be called, and slot_get will not be subsequently called.

Returns
  true if setting the clipboard data succeeded. If setting the clipboard data failed then the provided callback methods will be ignored.

## ◆ set_can_store() [1/2]

void Gtk::Clipboard::set_can_store | ( | const std::vector< TargetEntry >& | targets | ) |

Hints that the clipboard data should be stored somewhere when the application exits or when store() is called.

This value is reset when the clipboard owner changes. Where the clipboard data is stored is platform dependent, see Gdk::Display::store_clipboard() for more information.

Parameters

  targets | Array containing information about which forms should be stored.

## ◆ set_can_store() [2/2]

void Gtk::Clipboard::set_can_store | ( |  | ) |

Hints that all forms of clipboard data should be stored somewhere when the application exits or when store() is called.

This value is reset when the clipboard owner changes. Where the clipboard data is stored is platform dependent, see Gdk::Display::store_clipboard() for more information.

## ◆ set_image()

void Gtk::Clipboard::set_image | ( | const Glib::RefPtr< Gdk::Pixbuf >& | pixbuf | ) |

Sets the contents of the clipboard to the given Gdk::Pixbuf.

GTK+ will take responsibility for responding for requests for the image, and for converting the image into the requested format.

Since gtkmm 2.6:

Parameters

  pixbuf | A Gdk::Pixbuf.

## ◆ set_text()

void Gtk::Clipboard::set_text | ( | const Glib::ustring & | text | ) |

Sets the contents of the clipboard to the given UTF-8 string.

GTK+ will make a copy of the text and take responsibility for responding for requests for the text, and for converting the text into the requested format.

Parameters

  text | A UTF-8 string.

## ◆ signal_owner_change()

Glib::SignalProxy< void,GdkEventOwnerChange* > Gtk::Clipboard::signal_owner_change | ( |  | ) |

Slot Prototype:
  `void on_my_owner_change(GdkEventOwnerChange* event)`

Flags: Run First

## ◆ store()

void Gtk::Clipboard::store | ( |  | ) |

Stores the current clipboard data somewhere so that it will stay around after the application has quit.

Since gtkmm 2.6:

## ◆ wait_for_contents()

SelectionData Gtk::Clipboard::wait_for_contents | ( | const Glib::ustring & | target | ) | const

Requests the contents of the clipboard using the given target.

This function waits for the data to be received using the main loop, so events, timeouts, etc, may be dispatched during the wait.

Parameters

  target | The form into which the clipboard owner should convert the selection.

Returns
  A SelectionData object, which will be invalid if retrieving the given target failed.

## ◆ wait_for_image()

Glib::RefPtr<Gdk::Pixbuf> Gtk::Clipboard::wait_for_image | ( |  | ) | const

## ◆ wait_for_rich_text()

std::string Gtk::Clipboard::wait_for_rich_text | ( | const Glib::RefPtr< TextBuffer >& | buffer,
|  | std::string & | format
| ) |  |

## ◆ wait_for_targets()

std::vector<Glib::ustring> Gtk::Clipboard::wait_for_targets | ( |  | ) | const

Returns a list of targets that are present on the clipboard.

This function waits for the data to be received using the main loop, so events, timeouts, etc, may be dispatched during the wait.

Returns
  targets: The targets.

Since gtkmm 2.4:

## ◆ wait_for_text()

Glib::ustring Gtk::Clipboard::wait_for_text | ( |  | ) | const

Returns
  A UTF-8 string, which is empty if retrieving the selection data failed. (This could happen for various reasons, in particular if the clipboard was empty or if the contents of the clipboard could not be converted into text form.).

## ◆ wait_for_uris()

std::vector<Glib::ustring> Gtk::Clipboard::wait_for_uris | ( |  | ) | const

Requests the contents of the clipboard as URIs.

This function waits for the data to be received using the main loop, so events, timeouts, etc, may be dispatched during the wait.

Since gtkmm 2.14:

Returns
  A vector of strings, which is empty if retrieving the selection data failed. (This could happen for various reasons, in particular if the clipboard was empty or if the contents of the clipboard could not be converted into URI form.).

## ◆ wait_is_image_available()

bool Gtk::Clipboard::wait_is_image_available | ( |  | ) | const

Test to see if there is an image available to be pasted This is done by requesting the TARGETS atom and checking if it contains any of the supported image targets.

This function waits for the data to be received using the main loop, so events, timeouts, etc, may be dispatched during the wait.

This function is a little faster than calling wait_for_image() since it doesn’t need to retrieve the actual image data.

Since gtkmm 2.6:

Returns
  `true` is there is an image available, `false` otherwise.

## ◆ wait_is_rich_text_available()

bool Gtk::Clipboard::wait_is_rich_text_available | ( | const Glib::RefPtr< TextBuffer >& | buffer | ) | const

Test to see if there is rich text available to be pasted This is done by requesting the TARGETS atom and checking if it contains any of the supported rich text targets.

This function waits for the data to be received using the main loop, so events, timeouts, etc, may be dispatched during the wait.

This function is a little faster than calling wait_for_rich_text() since it doesn’t need to retrieve the actual text.

Since gtkmm 2.10:

Parameters

  buffer | A Gtk::TextBuffer.

Returns
  `true` is there is rich text available, `false` otherwise.

## ◆ wait_is_target_available()

bool Gtk::Clipboard::wait_is_target_available | ( | const Glib::ustring & | target | ) |

Checks if a clipboard supports pasting data of a given type.

This function can be used to determine if a “Paste” menu item should be insensitive or not.

If you want to see if there’s text available on the clipboard, use wait_is_text_available() instead.

Since gtkmm 2.6:

Parameters

  target | A Gdk::Atom indicating which target to look for.

Returns
  `true` if the target is available, `false` otherwise.

## ◆ wait_is_text_available()

bool Gtk::Clipboard::wait_is_text_available | ( |  | ) | const

Test to see if there is text available to be pasted This is done by requesting the TARGETS atom and checking if it contains any of the supported text targets.

This function waits for the data to be received using the main loop, so events, timeouts, etc, may be dispatched during the wait.

This function is a little faster than calling wait_for_text() since it doesn’t need to retrieve the actual text.

Returns
  `true` is there is text available, `false` otherwise.

## ◆ wait_is_uris_available()

bool Gtk::Clipboard::wait_is_uris_available | ( |  | ) | const

Test to see if there is a list of URIs available to be pasted This is done by requesting the TARGETS atom and checking if it contains the URI targets.

This function waits for the data to be received using the main loop, so events, timeouts, etc, may be dispatched during the wait.

This function is a little faster than calling wait_for_uris() since it doesn’t need to retrieve the actual URI data.

Since gtkmm 2.14:

Returns
  `true` is there is an URI list available, `false` otherwise.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::Clipboard > wrap | ( | GtkClipboard * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.